import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';

import Notification from './notification';

storiesOf('Notifications', module)
  .add('Warning', () => (
    <Notification type='warning' onClose={action('close')}>
      You have one or more policies that are either expired or expiring!
    </Notification>
  ))
  .add('Informative', () => (
    <Notification type='info' onClose={action('close')}>
      You have one or more policies that are either expired or expiring!
    </Notification>
  ))
  .add('Error', () => (
    <Notification type='error' onClose={action('close')}>
      You have one or more policies that are either expired or expiring!
    </Notification>
  ))
  .add('Success', () => (
    <Notification onClose={action('close')}>
      You have one or more policies that are either expired or expiring!
    </Notification>
  ));
